<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title><?php echo $this->pageTitle; ?></title>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta name="keywords" content="<?php echo $this->pageKeywords; ?>" />
	<meta name="description" content="<?php echo $this->pageDescription; ?>" />
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/main.css" />
</head>

<body>

<div id="wrapper">

	<div id="header">
		<div class='fl'><h1>Logo goes here</h1></div>
		<div class='fr ab'>
		<? if (Yii::app()->user->isGuest) echo CHtml::link('<b class="login">login</b>',  array('/grbac/authenticate/login')); 
		   else { 
              echo CHtml::link('<b class="logout">logout</b>', array('/grbac/authenticate/logout'));
              echo "&nbsp;&nbsp;";
	          echo CHtml::link('<b class="account">account</b>',  array('/grbac/account/myaccount'));
		   } ?>
		</div>
	</div><!-- #header-->

    <? if (isset(Yii::app()->user->Admin)) { ?>
	<div class='grbac grbac_list' style='background-color:#FFF;'>
	  <ul>
	    <li><?php echo CHtml::link('<b class="grbac_mh">&nbsp;</b>Home',  array('/grbac/admin/manage'))?></li>
	    <li><?php echo CHtml::link('<b class="grbac_mm">&nbsp;</b>gRbac',  array('/grbac/admin/manage'))?></li>
		<li><?php echo CHtml::link('<b class="srbac_mm">&nbsp;</b>sRbac',  array('/srbac/authitem/manage'))?></li>
	  </ul>	
		<div class='fr ab'>
		<? if (Yii::app()->user->isGuest) echo CHtml::link('<b class="login">login</b>',  array('/grbac/authenticate/login')); 
		   else { 
              echo CHtml::link('<b class="logout">&nbsp;</b>', array('/grbac/authenticate/logout'));
              echo "&nbsp;&nbsp;";
	          echo CHtml::link('<b class="account">&nbsp;</b>',  array('/grbac/account/myaccount'));
		   } ?>
		</div>
	</div><hr />
	<? } ?>

	<div style='margin:10px' id='content2'>
				<?php echo $content; ?>
	</div><!-- #content-->

</div><!-- #wrapper -->
</body>
</html>